<template>
  <div>
    <back-box>
      <template slot="title">
        <span>修改答案</span>
      </template>
    </back-box>
    <div class="content">
      <p class="tips">
        <i class="fa fa-bell-o"></i> 2022-11-24 14:30张老师修改了答案。
      </p>
      <div class="answer-title">
        <p class="name">{{ form.title }}</p>
        <p class="totals">卷面总分：{{ allScore }}分</p>
      </div>
      <div v-for="(question, index) in form.questionList" :key="index">
        <p class="question-title">
          <span>{{ setBigNum(index) }}、</span>
          <span class="title-txt">{{ question.questionTitle }}</span>
          <span>共 {{ question.score }} 分</span>
        </p>
        <ul class="questions-ul">
          <li class="sub-questions">
            <div class="qs-num">题号</div>
            <div class="qs-type">题型</div>
            <div class="qs-score">分数</div>
            <div class="qs-partScore">部分分值</div>
            <div class="qs-answer">答案</div>
          </li>
          <li
            class="sub-questions"
            v-for="(subQuestions, indexs) in question.subQuestions"
            :key="indexs"
          >
            <div class="qs-num">{{ subQuestions.questionIndex }}</div>
            <div class="qs-type">
              {{ setSubPro(subQuestions.questionType) }}
            </div>
            <div class="qs-score">
              {{ subQuestions.score }}
            </div>
            <div class="qs-partScore">
              {{ subQuestions.partScore }}
            </div>
            <div class="qs-answer">
              {{ setAns(subQuestions.correctAnswer) }}
            </div>
          </li>
        </ul>
      </div>
      <div class="btn-box">
        <el-button type="danger" plain round @click="linkBack">取消</el-button>
        <el-button type="primary" round @click="save">保存</el-button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  methods: {
    setSubPro(type) {
      let tit;
      switch (type) {
        case 2:
          tit = "单选题";
          break;
        case 3:
          tit = "多选题";
          break;
        case 4:
          tit = "判断题";
          break;
        case 5:
          tit = "主观题";
          break;
      }
      return tit;
    },
    setBigNum(num) {
      let txt = "";
      let bigNum = [
        "一",
        "二",
        "三",
        "四",
        "五",
        "六",
        "七",
        "八",
        "九",
        "十",
        "十一",
        "十二",
        "十三",
        "十四",
        "十五",
        "十六",
        "十七",
        "十八",
        "十九",
        "二十",
      ];
      txt = bigNum[num];

      return txt;
    },
    setAns(answer) {
      let txt;
      switch (answer) {
        case 1:
        case "1":
          txt = "✓";
          break;
        case 2:
        case "2":
          txt = "✗";
          break;
        case "":
          txt = "--";
          break;
        default:
          txt = answer;
      }
      return txt
    },
  },
};
</script>

<style lang="scss" scoped>
.content {
  width: 100%;
  box-sizing: border-box;
  padding: 0 50px;
  .ml-20 {
    margin-left: 20px;
  }
  .btn-box {
    text-align: right;
    margin-left: 140px;
  }
  .tips {
    height: 48px;
    line-height: 48px;
    padding: 0 16px;
    border: 1px solid #fac7cc;
    background-color: #ffebec;
    font-size: 14px;
    color: #fd9795;
    margin: 10px 0 20px 0;
    .fa-bell-o {
      font-size: 18px;
      margin-right: 5px;
    }
  }
}
.answer-title {
  text-align: center;
  font-size: 20px;
  color: #333;
  font-weight: 700;
  padding-bottom: 20px;
  .totals {
    font-size: 16px;
    color: #888;
    font-weight: normal;
  }
}
.question-title {
  line-height: 40px;
  .ipt {
    width: 300px;
    margin: 0 16px 0 10px;
    :deep(.el-input__inner) {
      border-radius: 20px;
      border-color: #667ffd;
      background: rgba($color: #667ffd, $alpha: 0.05);
    }
  }
  .delete {
    margin-right: 8px;
  }
  .title-txt {
    margin-right: 20px;
    font-size: 16px;
    font-weight: 700;
  }
}
</style>